%global momorel 3

%define fontname lohit

%define common_desc \
The fonts named 'Lohit' which means 'Red' in Sanskrit were initially released \
by Red Hat. The complete collection currently supports scripts for 15 Indian \
Languages.


Name:           %{fontname}-fonts
Version:        2.3.8
Release:        %{momorel}m%{?dist}
Summary:        Free Indian truetype/opentype fonts

Group:          User Interface/X
License:        GPLv2
URL:            https://fedorahosted.org/lohit/
Source:        http://rbhalera.fedorapeople.org/released/lohit/lohit-fonts-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
BuildRequires:  fontpackages-devel

%description
%common_desc


%package common
Summary:        Common files of Lohit fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.

%package -n %{fontname}-assamese-fonts
Summary:        Free Assamese font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-assamese-fonts
%common_desc
This package provides a free Assamese truetype/opentype font.

%_font_pkg -n assamese lohit_as.ttf

%package -n %{fontname}-bengali-fonts
Summary:        Free Bengali font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-bengali = %{version}-%{release}
Obsoletes: lohit-fonts-bengali < 2.3.1-2

%description -n %{fontname}-bengali-fonts
%common_desc
This package provides a free Bengali truetype/opentype font.

%_font_pkg -n bengali lohit_bn.ttf

%package -n %{fontname}-gujarati-fonts
Summary:        Free Gujarati font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-gujarati = %{version}-%{release}
Obsoletes: lohit-fonts-gujarati < 2.3.1-2

%description -n %{fontname}-gujarati-fonts
%common_desc
This package provides a free Gujarati truetype/opentype font.

%_font_pkg -n gujarati lohit_gu.ttf

%package -n %{fontname}-hindi-fonts
Summary:        Free Gujarati font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-hindi = %{version}-%{release}
Obsoletes: lohit-fonts-hindi < 2.3.1-2

%description -n %{fontname}-hindi-fonts
%common_desc
This package provides a free Hindi truetype/opentype font.

%_font_pkg -n hindi lohit_hi.ttf

%package -n %{fontname}-kannada-fonts
Summary:        Free Kannada font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-kannada = %{version}-%{release}
Obsoletes: lohit-fonts-kannada < 2.3.1-2

%description -n %{fontname}-kannada-fonts
%common_desc
This package provides a free Kannada truetype/opentype font.

%_font_pkg -n kannada lohit_kn.ttf

%package -n %{fontname}-kashmiri-fonts
Summary:        Free Kashmiri font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-kashmiri = %{version}-%{release}
Obsoletes: lohit-fonts-kashmiri < 2.3.1-2

%description -n %{fontname}-kashmiri-fonts
%common_desc
This package provides a free Kashmiri truetype/opentype font.

%_font_pkg -n kashmiri lohit_ks.ttf

%package -n %{fontname}-konkani-fonts
Summary:        Free Konkani font 
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-konkani = %{version}-%{release}
Obsoletes: lohit-fonts-konkani < 2.3.1-2

%description -n %{fontname}-konkani-fonts
%common_desc
This package provides a free Konkani truetype/opentype font.

%_font_pkg -n konkani lohit_kok.ttf

%package -n %{fontname}-maithili-fonts
Summary:        Free Maithili font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-maithili = %{version}-%{release}
Obsoletes: lohit-fonts-maithili < 2.3.1-2

%description -n %{fontname}-maithili-fonts
%common_desc
This package provides a free Maithili truetype/opentype font.

%_font_pkg -n maithili lohit_mai.ttf

%package -n %{fontname}-malayalam-fonts
Summary:        Free Malayalam font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-malayalam = %{version}-%{release}
Obsoletes: lohit-fonts-malayalam < 2.3.1-2

%description -n %{fontname}-malayalam-fonts
%common_desc
This package provides a free Malayalam truetype/opentype font.

%_font_pkg -n malayalam lohit_ml.ttf

%package -n %{fontname}-marathi-fonts
Summary:        Free Marathi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-marathi = %{version}-%{release}
Obsoletes: lohit-fonts-marathi < 2.3.1-2

%description -n %{fontname}-marathi-fonts
%common_desc
This package provides a free Marathi truetype/opentype font.

%_font_pkg -n marathi lohit_mr.ttf

%package -n %{fontname}-nepali-fonts
Summary:        Free Nepali font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-nepali = %{version}-%{release}
Obsoletes: lohit-fonts-nepali < 2.3.1-2

%description -n %{fontname}-nepali-fonts
%common_desc
This package provides a free Nepali truetype/opentype font.

%_font_pkg -n nepali lohit_ne.ttf

%package -n %{fontname}-oriya-fonts
Summary:        Free Oriya font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-oriya = %{version}-%{release}
Obsoletes: lohit-fonts-oriya < 2.3.1-2

%description -n %{fontname}-oriya-fonts
%common_desc
This package provides a free Oriya truetype/opentype font.

%_font_pkg -n oriya lohit_or.ttf

%package -n %{fontname}-punjabi-fonts
Summary:        Free Punjabi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-punjabi = %{version}-%{release}
Obsoletes: lohit-fonts-punjabi < 2.3.1-2

%description -n %{fontname}-punjabi-fonts
%common_desc
This package provides a free Punjabi truetype/opentype font.

%_font_pkg -n punjabi lohit_pa.ttf

%package -n %{fontname}-sindhi-fonts
Summary:        Free Sindhi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-sindhi = %{version}-%{release}
Obsoletes: lohit-fonts-sindhi < 2.3.1-2

%description -n %{fontname}-sindhi-fonts
%common_desc
This package provides a free Sindhi truetype/opentype font.

%_font_pkg -n sindhi lohit_sd.ttf

%package -n %{fontname}-tamil-fonts
Summary:        Free Tamil font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-tamil = %{version}-%{release}
Obsoletes: lohit-fonts-tamil < 2.3.1-2

%description -n %{fontname}-tamil-fonts
%common_desc
This package provides a free Tamil truetype/opentype font.

%_font_pkg -n tamil lohit_ta.ttf

%package -n %{fontname}-telugu-fonts
Summary:        Free Telugu font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-telugu = %{version}-%{release}
Obsoletes: lohit-fonts-telugu < 2.3.1-2

%description -n %{fontname}-telugu-fonts
%common_desc
This package provides a free Telugu truetype/opentype font.

%_font_pkg -n telugu lohit_te.ttf

%prep
%setup -q


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p */*.ttf %{buildroot}%{_fontdir}

#install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
#                  %{buildroot}%{_fontconfig_confdir}

%clean
rm -fr %{buildroot}


%files common
%defattr(0644,root,root,0755)
%doc COPYING README AUTHORS ChangeLog

%dir %{_fontdir}


%changelog
* Tue May 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-3m)
- rebuild against fontpackages-1.20-2m

* Fri May 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-2m)
- rebuild against rpm-4.7.0-7m

* Sun Apr 26 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.8-1m)
- Updated to current Fedora font packaging guidelines

* Fri Jan 23 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-3m)
- rebuild against fontpackages-filesystem

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-2m)
- rebuild against rpm-4.6

* Wed Jul 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.9-1m)
- import from Fedora

* Thu Feb 28 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.9-1
- Bug 431035: [ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32 
- Bug 433437: [ml_IN] Rendering combination incorrect with 0D35
- Bug 433440: [ml_IN] Rendering combination incorrect with 0D2F
- Contributions from Hiran Venugopalan (xRa glyphs and few other)

* Fri Jan 25 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.8-1
- Updated version according to upstream to incorporate the bug fixes.

* Fri Nov 16 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.6-1.fc8
- Updated version according to upstream.

* Mon Sep 24 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5-3.fc8
- SPEC cleanups as suggested in review. 

* Mon Sep 17 2007 Rahul Bhalerao <rbhalera@redhat.com>
- Spec file update as part of review

* Tue Sep 11 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.5-1.fc8
- This package is derived from the fonts-indic package to reflect the upstream
  project name [RH #253158]
